<div type="text/ng-template" id="ModalCurrentImport.html" class="modal-work-param">
    <div class="modal-header">
        <div class="modal-title">批量导入</div>
    </div>
    <div class="modal-body">
        <div class="public-horizon">
            <label class="horizon-label label-6" >
                <span class="text-red">*</span>生效日期：</label>
            <div class="horizon-group horizon-col-5" >
                <!--<input class="form-control" type="datetime-local" ng-model="config.startDate" ng-disabled="config.datetimeBtn">-->
                <input type="text" value="" id="alertUseDate"
                       class="form-control"
                       ng-model="config.startDate"  ng-disabled="config.datetimeBtn"
                       ng-init="initDateTimePicker('#alertUseDate', {},'Y-m-d H:i:s',true,true);"/>
            </div>
        </div>
        <!--生效日期<input type="date" ng-model="config.startDate">-->
        <div>
            <div class="text-center flex-center address-info-file-upload" >

                <div ng-disabled="config.uploadOk || config.isUploading" class="upload-wrapper fill-parent" ngf-drag-over-class="'file-drag-over'" ngf-drop="drap($isDragging, $class, $event);" ng-model="config.selectedFile" ngf-select="select($file);" style="width:60%;height: 5rem;margin-bottom: 1rem;position: relative;" ng-class="{'progress-success':(config.uploadOk && config.parseFileOk),'progress-failure':(config.uploadError || (config.uploadOk && !config.parseFileOk))}">
                    <!-- ng-class="{'progress-success':(config.uploadOk),'progress-failure':(config.uploadError)}" -->
                    <span class="selected-file-name" ng-bind="config.selectedFile.name" style="color: black;"></span>
                    <span class="upload-progress progressing-{{config.progressPercentage}}" ></span>
            <span class="fill-width" ng-if="config.selectedFile==null" style="">
                <span class="tip-for-drag">点击选择文件  或  拖动文件到此区域</span>
                <span class="excel-tip-for-user">当前只支持2010版Excel文件</span>
            </span>
                    <span class="is-drag-over">松手即可选择该文件!</span>
                    <div  ng-if="config.isUploading">
                        <span>正在上传...</span><span ng-bind="config.uploadProgressStr"></span>
                    </div>
                    <div  ng-if="config.uploadError">
                        <span class="file-upload-error-tip" ng-bind="config.errorTipStr"></span>
                        <!-- <span class="err-child-is-drag-over">松手即可选择该文件!</span> -->
                    </div> 
                    <div ng-if="config.uploadOk && !config.parseFileOk">
                        <span class="file-upload-error-tip">文件解析失败!</span>
                    </div>
                    <div ng-if="config.uploadOk && config.parseFileOk">
                        <span>文件上传并解析成功!</span>
                    </div>
                    <!-- <div ng-if="config.uploadOk">
                        <span>上传成功!</span>
                    </div> -->
                </div>
                <div class="upload-right" style="width:35%;text-align: left;padding-left: 1rem;margin-bottom: 1.3rem;">
                    <button class="btn btn-primary"  ng-disabled="config.isUploading || config.selectedFile==null" ng-click="upload();">
                        <i class="fa fa-cloud-upload icon-2x"></i>
                        <span ng-if="!config.uploadOk" class="file-upload-span">立刻上传</span>
                        <span ng-if="config.uploadOk" class="file-upload-span" ng-click="repareForUpload();">重新上传</span>
                    </button>

                </div>
            </div>

            <div ng-if="config.uploadOk && config.parseFileOk" class="upload-datas-success-tip">
                文件解析成功,共成功条数: <span ng-bind="config.parseFileOkNum"> </span>
            </div>

            <div ng-if="config.uploadOk && !config.parseFileOk" class="upload-datas-exceptions-tip">文件数据解析失败，错误的数据如下表所示:</div>
            <div ng-if="config.uploadOk && !config.parseFileOk" class="myGridCurrent"  ui-grid="gridErrGroupMaintain"  ui-grid-validate ui-grid-edit ui-grid-cellNav  ui-grid-auto-resize ui-grid-resize-columns></div>
            <!-- ui-grid-pagination -->
            <!--<div ng-if="config.uploadOk && config.parseFileOk" class="upload-datas-exceptions-tip">文件数据成功，如下表所示:</div>-->
            <div ng-if="config.uploadOk && config.parseFileOk"   ui-grid="gridCurrentGroupMaintain" class="myGridCurrent" ui-grid-validate ui-grid-edit ui-grid-cellNav  ui-grid-auto-resize ui-grid-resize-columns></div>

            <div ng-if="config.uploadOk && config.parseFileOk && config.saveFileError" class="upload-datas-exceptions-tip">文件数据保存失败,出错数据如下表:</div>
            <div ng-if="config.uploadOk && config.parseFileOk && config.saveFileError" class="myGridCurrent"  ui-grid="gridErrGroupMaintainSaveError"  ui-grid-validate ui-grid-edit ui-grid-cellNav  ui-grid-auto-resize ui-grid-resize-columns></div>

        </div>


    </div>
    <div class="modal-footer">
        <!--<button class="btn btn-primary" type="button" ng-disabled="saveFileBtn"  ng-click="saveFile()">保存</button>-->
        <!--<button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>-->
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-primary" type="button" ng-click="saveFile()" ng-disabled="saveFileBtn">确定</button>
        </div>
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
        </div>
    </div>
</div>



